Bug 282551 - gdm ignore global $XAUTHORITY
gdm ignore global $XAUTHORITY
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gdm (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-07 11:39 EDT by Klaus Ethgen
Modified: 2015-10-05 07:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 09:22:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaus Ethgen 2007-09-07 11:39:32 EDT
Description of problem:
GDM doesn't respect a presetted XAUTHORITY (i.e. done with pam_env.so).

Version-Release number of selected component (if applicable):
RHEL4+5

How reproducible:
Use the following line in /etc/security/pam_env.conf:
XAUTHORITY	DEFAULT=/tmp/.Xauthority-@{PAM_USER}

The problem is that gdm has a hardcoded logic to set this variable (it is the
only one, kdm seems to work).

Actual results:
Start of $WINDOWMANAGER fail with a strange error message.

Expected results:
Working $WINDOWMANAGER as usual.
Comment 1 RHEL Product and Program Management 2014-03-07 08:55:15 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 2 RHEL Product and Program Management 2014-06-02 09:22:57 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).
Comment 3 Klaus Ethgen 2015-10-05 07:56:27 EDT
I don't know why I got nagged by that kind of bugs. I also cannot help if you need that long to react on bug reports. 7 Years to react on a bug report???

Note You need to log in before you can comment on or make changes to this bug.